can't install Firefox browser extension "connection error"

F-secure give this error message when attempting to install on Firefox 58.0.1

"this add-on could not be installed because of a connection error".

 

How do I fix this problem?

Comments

This discussion has been closed.